hgroup:has(h2) {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1ch;
  text-align: center;
  max-inline-size: 25em;
  margin-inline: auto;
  h2 {
    flex: 2 1 auto;
  }
  p {
    text-wrap: balance;
    flex: 1 1 auto;
    color: gray;
    font-style: italic;
  }
}

section {
  margin-block: .5em;
}

#care-instructions {
  max-inline-size: 40ch;
  margin-inline: auto;
  h3 {
    text-align: center;
    margin-block-start: 0;
    margin-block-end: .5em;
  }
  p {
    text-align: justify;
    text-wrap: pretty;
    margin-block-start: .5em;
  }
}

#description {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  place-items: center;
  gap: .5em 0;

  * {
    margin: 0;
    padding: 0;
  }

  ul {
    grid-row-end: span 2;
    li {
      margin-block: 1em;
      list-style: none;
    }
    li::before {
      content: '';
      height: 1.2em;
      width: 1.5em;
      margin-block: auto;
      float: inline-start;
      background-image: url(/assets/other/flower-bullet-point.png);
      background-size: 1em;
      background-repeat: no-repeat;
      background-position: left bottom;
    }
  }
  p {
    font-size: xxx-large;
    color: var(--primary-color);
    text-align: center;
    align-self: end;
  }
  a {
    align-self: start;
    text-align: center;
    font-size: x-large;
    background-color: var(--secondary-color);
    color: var(--primary--color);
    border: 2px solid var(--primary-color);
    inline-size: fit-content;
    margin-inline: auto;
    padding: 1ch;
    border-radius: .2em;
  }
}

#gallery {
  line-height: 0;
  column-count: 3;
  column-gap: 0;
  * {
    padding: 0;
    margin: 0;
  }

  img {
    inline-size: 100%;
    block-size: auto;
    transition: transform .2s, box-shadow 0s;
  }

  img:hover {
    transform: scale(1.2);
    box-shadow: 0 0 10px 10px rgb(0 0 0 / 70%);
  }
}

